Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005736opensim[REGION] OpenSim Corepublic2011-10-10 08:202013-05-13 16:39
Reporterkenvc 
Assigned Tokenvc 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005736: On AV login, significantly more memory is consumed than older versions
DescriptionI have been running 18 opensim instances on a dual core 8 gig ram Windows 7 Pro 64 bit for about 10 months now with no issues regarding memory. Typically, this arrangement including Windows was using about 80% of the available memory and it was working fine.

Approximately 2-4 months ago, opensim started getting an occassional out of memory exception and would terminate as soon as an AV logged into one of these instances. At that time, it happened about once every couple of days and has slowly become worse.

Now this appears to be happening almost everytime an AV signs in that is wearing a lot of prims when they log in. AVs wearing very few prims don't seem to trigger the out of memory exception. It appears opensim is using more memory than it once did even when sitting idle, and then when an AV logs in it often puts it over the top.

I've been able to avoid this issue by reducing the number of instances and therefore the number of sims that are running. The issue does appear to be directly related to what the AV is wearing when they login.
Additional InformationLog info included below when this recently happened:

2011-10-09 12:34:17,340 INFO - OpenSim.Framework.AgentCircuitData [AGENTCIRCUITDATA]: agentid=a7054d07-9c1e-155a-bc55-226695cd69c8, child=False, startpos=<65.21317, 212.6394, 23.09327>
2011-10-09 12:34:17,364 INFO - OpenSim.Framework.AgentCircuitData [AGENTCIRCUITDATA] unpacked appearance
2011-10-09 12:34:17,623 INFO - OpenSim.Region.Framework.Scenes.Scene [CONNECTION BEGIN]: Region White Sand Beach authenticated and authorized incoming root agent Marylin Palmira a7054d07-9c1e-155a-bc55-226695cd69c8 (circuit code 1668344180)
2011-10-09 12:35:53,878 ERROR - OpenSim.Application [APPLICATION]:
APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs

Exception: System.OutOfMemoryException: Exception of type 'System.OutOfMemoryException' was thrown.
   at System.Threading.ExecutionContext.CreateCopy()
   at System.Threading._TimerCallback.PerformTimerCallback(Object state)

Application is terminating: True

2011-10-09 12:37:39,059 INFO - OpenSim.Region.CoreModules.Avatar.AvatarFactory.AvatarFactoryModule [AVFACTORY]: received texture update for a7054d07-9c1e-155a-bc55-226695cd69c8
2011-10-09 12:38:36,678 INFO - OpenSim.Region.CoreModules.Avatar.AvatarFactory.AvatarFactoryModule [AVFACTORY]: received texture update for a7054d07-9c1e-155a-bc55-226695cd69c8
2011-10-09 12:39:05,262 INFO - OpenSim.Region.ClientStack.LindenUDP.LLClientView [CLIENT]: Got a logout request for Marylin Palmira in White Sand Beach
2011-10-09 12:59:34,145 INFO - OpenSim.Application [OPENSIM MAIN]: configured log4net using default OpenSim.exe.config
2011-10-09 12:59:34,154 INFO - OpenSim.Application [OPENSIM MAIN]: Runtime gave us 1000 worker threads and 1000 IOCP threads
2011-10-09 12:59:34,156 INFO - OpenSim.Application Performing compatibility checks...
TagsNo tags attached.
Git Revision or version numberrev16847
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0020137)
SignpostMarv (reporter)
2011-10-11 05:33

We've just run a test on our windows server 2008 (32bit) VM, supervisor reports that the VM spiked 30mb when a single user logged in.
(0020138)
kenvc (reporter)
2011-10-11 09:57

I can also confirm that each opensim instance is using around 30-40% more memory compared to about 8 months ago even when it is just sitting idle without any AVs logged in.

This is comparing the memory usage on instances that have had no additional prims added to their sims during that 8 month period.
(0020166)
kenvc (reporter)
2011-10-17 12:06

Further testing shows that this appears to an issue on regions running a lot of scripts more than on regions with a lot of prims and fewer scripts.
(0020589)
Bo Iwu (reporter)
2011-12-21 10:28
edited on: 2011-12-21 10:30

Also moving the region into open seas where are NO half dead neighbours can mean significant memory save. Additionally you can daily restart instances and weekly the whole machine to remove all memory leaks..

(0023887)
kenvc (reporter)
2013-05-13 16:39

Various memory leak issues that have been resolved over the last month or so appear to have minimized this issue if not resolved it.

- Issue History
Date Modified Username Field Change
2011-10-10 08:20 kenvc New Issue
2011-10-10 08:20 kenvc Git Revision => rev16847
2011-10-10 08:20 kenvc Run Mode => Grid (Multiple Regions per Sim)
2011-10-10 08:20 kenvc Physics Engine => ODE
2011-10-10 08:20 kenvc Environment => .NET / Windows64
2011-10-10 08:20 kenvc Mono Version => None
2011-10-10 08:20 kenvc Viewer => N/A
2011-10-11 05:33 SignpostMarv Note Added: 0020137
2011-10-11 09:57 kenvc Note Added: 0020138
2011-10-11 10:01 kenvc Description Updated
2011-10-17 12:06 kenvc Note Added: 0020166
2011-12-21 10:28 Bo Iwu Note Added: 0020589
2011-12-21 10:30 Bo Iwu Note Edited: 0020589 View Revisions
2013-05-13 16:39 kenvc Note Added: 0023887
2013-05-13 16:39 kenvc Status new => resolved
2013-05-13 16:39 kenvc Fixed in Version => master (dev code)
2013-05-13 16:39 kenvc Resolution open => fixed
2013-05-13 16:39 kenvc Assigned To => kenvc
2013-05-13 16:39 kenvc Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker